**    ModelEco : MODELling in mathematical programming for the ECOnomic analysis of agriculture    **

*-----------------------------------------------------------------------------*
$Ontext
Name            Primal0
Sequence         1 - Introduction to mathematical programming using GAMS
Type             LP
GAMS language     Introduction to the GAMS language
Description
" A given farm can produce two crops: wheat and maize.
We are looking to determine the area dedicated to each crop, knowing that:
The farmer's objective is to maximize his income
The gross margin per hectare for wheat is 450 and for maize 1000.
Wheat requires 25 hours of labour per hectare and per year and maize 50 hours of labour .
The area of the farm is 50 ha and the farmer can work 2000 hours in a year.  "

$Offtext
*-----------------------------------------------------------------------------*


*----------                         DECLARATIONS                       ----------*
sets
C crops  /wheat,maize/
T Technology /ext, int/
;
*----------                          DATA                        ----------*
scalar
LAND_A      land availability in hectares              /50/
LABOUR_A    labour availability in hours             /2000/
;
table
WR(C, T) labour needs per hectare and per crop (hours)
         ext     int
wheat     15     25
maize     45     50
table GM(C, T) gross margin per crop (euros)
         ext     int
wheat   425      450
maize   800      1000
;
*----------                         MODEL                          ----------*
 variables
Z    total farm income  (euros);
positive variables
X area per crop (hectares);
equations
OBJECTIVE       objective function
LAND            land equation
LABOUR          labour equation;
OBJECTIVE..  sum((c,t), GM(c,t)*X(c,t)) =E= Z ;
LAND..       sum((c,t), X(c,t)) =l= LAND_A ;   
LABOUR..     sum((c,t), WR(c,t)*X(c,t)) =L= LABOUR_A  ;

model example first example /all/;

*----------                        SOLUTION                         ----------*
solve example using LP maximizing Z;



